const path = require('path');

module.exports = {
    mode: 'production',
    entry:{
        main: './src/index.js'
    },
    output:{
        path: path.resolve(__dirname,'./dist'),
        filename: 'yoho-base.js',
        //支持script的引用，并暴露为全局变量yoho-base。
        library: 'yoho-base',
        //支持ES Module、Commonjs、AMD的引用。
        libraryTarget: 'umd',
    }
};